package org.apache.bcel.util;

import org.apache.bcel.classfile.JavaClass;
import java.util.Stack;

public class ClassStack
{
    private final Stack<JavaClass> stack;
    
    public ClassStack() {
        this.stack = new Stack<JavaClass>();
    }
    
    public boolean empty() {
        return this.stack.empty();
    }
    
    public JavaClass pop() {
        return this.stack.pop();
    }
    
    public void push(final JavaClass clazz) {
        this.stack.push(clazz);
    }
    
    public JavaClass top() {
        return this.stack.peek();
    }
}
